/**
 * Copyright (c) 2020 ~ 2021 KylinSec Co., Ltd.
 * kiran-cpanel-system is licensed under Mulan PSL v2.
 * You can use this software according to the terms and conditions of the Mulan PSL v2.
 * You may obtain a copy of Mulan PSL v2 at:
 *          http://license.coscl.org.cn/MulanPSL2
 * THIS SOFTWARE IS PROVIDED ON AN "AS IS" BASIS, WITHOUT WARRANTIES OF ANY KIND,
 * EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO NON-INFRINGEMENT,
 * MERCHANTABILITY OR FIT FOR A PARTICULAR PURPOSE.
 * See the Mulan PSL v2 for more details.
 *
 * Author:     yuanxing <yuanxing@kylinos.com.cn>
 */
#include "show-qrcode.h"
#include <QIcon>
#include <QVBoxLayout>
#include "ui_show-qrcode.h"

ShowQRCode::ShowQRCode(QString title, QIcon icon, QWidget *parent) : QWidget(parent),
                                                                     m_icon(icon),
                                                                     m_title(title),
                                                                     ui(new Ui::ShowQRCode)

{
    ui->setupUi(this);
    iniUI();
}

void ShowQRCode::iniUI()
{
    setWindowTitle(m_title);
    setWindowIcon(m_icon);
    frameGeometry().setHeight(48);
    setWindowFlags(Qt::WindowFlags() & (~Qt::WindowMinMaxButtonsHint));

    setAttribute(Qt::WA_TransparentForMouseEvents);
    this->setMaximumSize(292, 228);
    this->setMinimumSize(292, 228);
    setWindowModality(Qt::ApplicationModal);
    setStyleSheet("background-color: #2D2D2D");

    ui->label_qrcode_text->setStyleSheet("QLabel#label_qrcode_text{color:#ffffff;font-size: 14px;font-family: \" Noto Sans CJK SC regular \";}");
}

void ShowQRCode::setQRCode(const QString &qrcodeInfo, const QString &notes)
{
    qrcode = new QRCodeWidget(qrcodeInfo, 180, 180);
    qrcode->setMinimumSize(180, 180);
    qrcode->setMaximumSize(180, 180);
    ui->layout_qrcode->addWidget(qrcode);
    ui->label_qrcode_text->setText(notes);
}

void ShowQRCode::closeEvent(QCloseEvent *e)
{
    if (qrcode)
    {
        delete qrcode;
    }
    e->accept();
}

ShowQRCode::~ShowQRCode()
{
    delete ui;
}
