#include "notify-default.h"

#include <fcntl.h>
#include <json/json.h>
#include <kiran-log/qt5-log-i.h>
#include <sys/stat.h>
#include <QtDBus>
#include <memory>
#include "lib/dbus/license-dbus.h"
#include "notification-wrapper.h"

namespace Notify
{
#define NORMAL_ACTIVED_NOTIFY "NormalActived"
#define NORMAL_INACTIVE_NOTIFY "NormalInactive"

#define INACIIVE_EXPIRED_NOTIFY "InactiveExpiredNotify"
#define ACTIVE_EXPIRED_NOTIFY "ActiveExpiredNotify"

#define INACIIVE_EXPIRED_NOTIFY_INTERVAL (10 * 60)

NotifyDefault::NotifyDefault(QObject *parent) : NotifyBase(parent)
{
    registerNormalNotify(true, NORMAL_ACTIVED_NOTIFY);
    registerNormalNotify(false, NORMAL_INACTIVE_NOTIFY);
    registerNotify(true, 0, ACTIVE_EXPIRED_NOTIFY);
    registerNotify(false, 0, INACIIVE_EXPIRED_NOTIFY, true, INACIIVE_EXPIRED_NOTIFY_INTERVAL);
    this->run();
}

NotifyDefault::~NotifyDefault()
{
}

void NotifyDefault::notifyActive(qint64 remainDays, QString notifyType)
{
    if (notifyType == NORMAL_ACTIVED_NOTIFY)
    {
        NOTIFY_INFO(tr("Welcome to KylinSec OS!\n").toUtf8())
    }
    else if (notifyType == NORMAL_INACTIVE_NOTIFY)
    {
        NOTIFY_WARN(
            tr("Welcome to use KylinSec OS! Your system is not activated. "
               "Please activate your system to enjoy the first-class and professional technical support from KylinSec team.\n"
               "Contact us: 400-012-6606\n")
                .toUtf8())
    }
    else if (notifyType == INACIIVE_EXPIRED_NOTIFY)
    {
        NOTIFY_INFO(
            tr("Welcome to use KylinSec OS! Your system is not activated. "
               "Please activate your system to enjoy the first-class and professional technical support from KylinSec team.\n"
               "Contact us: 400-012-6606\n")
                .toUtf8())
    }
    else if (notifyType == ACTIVE_EXPIRED_NOTIFY)
    {
        NOTIFY_WARN(
            tr("The warranty period of your license for KylinSec OS has expired. "
               "Please purchase the technical service again.\n"
               "Contact us: 400-012-6606\n")
                .toUtf8())
    }
}
}  // namespace Notify
