#ifndef NOTIFYPG_H
#define NOTIFYPG_H
#include <QTimer>
#include "notify-base.h"

namespace Notify
{
class NotifyPG : public NotifyBase
{
    Q_OBJECT

public:
    NotifyPG(QObject *parent = NULL);
    ~NotifyPG();

private:
    void showNormalActived();
    void showNormalInactive();

    void showInactiveApproch(qint64 remainDays);
    void showInactiveExpired(qint64 remainDays);
    void showInactiveSeriousExpiry();

    void showActivedApproch(qint64 remainDays);
    void showActivedExpired(qint64 remainDays);
    void showActivedSeriousExpiry();

public slots:
    void notifyActive(qint64 remainDays, QString notifyType);
private slots:
    void lockScreen();

private:
    int m_notifyTimes;
};
}  // namespace Notify

#endif  // NOTIFYPG_H
