#ifndef ACTIVEFRAME_H
#define ACTIVEFRAME_H

#include <QVBoxLayout>
#include <QWidget>

namespace Ui
{
class ActiveFrame;
}

class ActiveFrame : public QWidget
{
    Q_OBJECT

public:
    explicit ActiveFrame(QWidget *parent = NULL);
    ~ActiveFrame();

    void setWidget(QWidget *widget);
    void setTitle(const QString &title);

protected:
    void mousePressEvent(QMouseEvent *event);
    void mouseMoveEvent(QMouseEvent *event);
    void mouseReleaseEvent(QMouseEvent *event);

private:
    void initUi();

private slots:
    void on_exit_clicked();
    void on_minimize_clicked();

private:
    Ui::ActiveFrame *ui;
    bool m_bDrag;
    QPoint m_mouseStartPoint;
    QPoint m_windowTopLeftPoint;
    QVBoxLayout *m_frameLayout;
};

#endif  // ACTIVEFRAME_H
