/**
 * Copyright (c) 2020 ~ 2021 KylinSec Co., Ltd.
 * kiran-cpanel-system is licensed under Mulan PSL v2.
 * You can use this software according to the terms and conditions of the Mulan PSL v2.
 * You may obtain a copy of Mulan PSL v2 at:
 *          http://license.coscl.org.cn/MulanPSL2
 * THIS SOFTWARE IS PROVIDED ON AN "AS IS" BASIS, WITHOUT WARRANTIES OF ANY KIND,
 * EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO NON-INFRINGEMENT,
 * MERCHANTABILITY OR FIT FOR A PARTICULAR PURPOSE.
 * See the Mulan PSL v2 for more details.
 *
 * Author:     yuanxing <yuanxing@kylinos.com.cn>
 */

#ifndef KIRANSYSTEMINFORMATION_H
#define KIRANSYSTEMINFORMATION_H

#include <QListWidgetItem>
#include <QStackedWidget>
#include <QWindow>
#include "cmake-define.h"

namespace Ui
{
class KiranSystemActivation;
}

#ifdef DISABLE_KIRANWIDGETS
class KiranSystemActivation : public QWidget
#else
#include <kiran-titlebar-window.h>
class KiranSystemActivation : public KiranTitlebarWindow
#endif
{
    Q_OBJECT

public:
    explicit KiranSystemActivation(QWidget* parent = 0);
    ~KiranSystemActivation();
    virtual QSize sizeHint() const;

protected:
    void paintEvent(QPaintEvent* painEvent);
    void mousePressEvent(QMouseEvent* event);
    void mouseMoveEvent(QMouseEvent* event);
    void mouseReleaseEvent(QMouseEvent* event);

private slots:
    void on_exit_clicked();

    void on_minimize_clicked();

    void handleInstanceStarted();

private:
    void initUI();

private:
    Ui::KiranSystemActivation* ui;
    bool m_bDrag;
    QPoint mouseStartPoint;
    QPoint windowTopLeftPoint;
};

#endif  // KIRANSYSTEMINFORMATION_H
