#ifndef KSLSERVERGRPCTHREAD_H
#define KSLSERVERGRPCTHREAD_H

#include <QObject>
#include <QThread>
#include "license-grpc.h"

class LicenseGrpcThread : public QThread
{
    Q_OBJECT
public:
    explicit LicenseGrpcThread(QObject *parent = NULL);
    ~LicenseGrpcThread() override;
    void run() override;

    static LicenseGrpcThread *getInstance()
    {
        if (m_instance == NULL)
        {
            m_instance = new LicenseGrpcThread();
        }
        return m_instance;
    }

    static LicenseGrpc *getLicenseGrpc()
    {
        if (m_instance == NULL)
        {
            m_instance = new LicenseGrpcThread();
        }
        return m_serverGrpc;
    }

    static void release()
    {
        if (m_instance != NULL)
        {
            delete m_instance;
            m_instance = NULL;
        }
    }

private:
    static LicenseGrpc *m_serverGrpc;
    static LicenseGrpcThread *m_instance;
};

#endif  // KSLSERVERGRPCTHREAD_H
