#include "ksl-server-gui.h"
#include <kiran-log/qt5-log-i.h>
#include <QDesktopWidget>
#include <QPainter>
#include <QStyleFactory>
#include <QVBoxLayout>
#include "widgets/server-guide.h"
#include "widgets/server-info.h"
#include "widgets/server-main-widget.h"

KslServerGui::KslServerGui(QWidget *parent) : KiranTitlebarWindow(parent)
{
    this->setTitle(tr("Activate Server UI Manager"));
    this->setIcon(QIcon(":/icons/ksl-server-24.png"));
    // setStyle(QStyleFactory::create("fusion"));

    initUI();
}

KslServerGui::~KslServerGui()
{
}

QSize KslServerGui::sizeHint() const
{
    /*根据系统分辨率设置窗口大小*/
    return QSize(1200, 700);
}

void KslServerGui::paintEvent(QPaintEvent *painEvent)
{
    QStyleOption opt;

    opt.init(this);
    QPainter p(this);
    this->style()->drawPrimitive(QStyle::PE_Widget, &opt, &p, this);

    QWidget::paintEvent(painEvent);
}

void KslServerGui::initUI()
{
    this->setTitleBarHeight(42);
    ServerMainWidget *serverMainWidget = new ServerMainWidget(this);
    this->setWindowContentWidget(serverMainWidget);
}
