#include <kiranwidgets-qt5/kiran-application.h>
#include <kiranwidgets-qt5/kiran-message-box.h>
#include <qt5-log-i.h>
#include <QApplication>
#include <QDesktopWidget>
#include <QFile>
#include <QLoggingCategory>
#include <QTranslator>
#include <iostream>
#include "cmake-define.h"
#include "ksl-server-gui.h"

#define TRANSLATION_DIR TRANSLATIONS_FILE_DIR
int main(int argc, char *argv[])
{
    KiranApplication a(argc, argv);

    ///注册自定义的消息处理函数
    QLoggingCategory::defaultCategory()->setEnabled(QtDebugMsg, true);
    if (klog_qt5_init("", "kylinsec-session", PROJECT_NAME, "ksl-server-gui") < 0)
    {
        std::cout << "init zlog error" << std::endl;
    }

    KLOG_DEBUG() << "******New OutputKslSert*********";

    ///加载qss样式表
    QFile file(":/ksl-server.qss");
    if (file.open(QFile::ReadOnly))
    {
        QString styleSheet = QLatin1String(file.readAll());

        a.setStyleSheet(styleSheet);
        file.close();
    }
    else
    {
        KiranMessageBox::message(NULL,
                                 QObject::tr("warning"),
                                 QObject::tr("Open qss file failed"),
                                 KiranMessageBox::Ok);
    }

    ///加载翻译文件
    QTranslator *qtTranslator = new QTranslator(qApp);
    if (qtTranslator->load(QLocale(), "ksl-server-gui", "_", TRANSLATION_DIR, ".qm"))
    {
        a.installTranslator(qtTranslator);
    }
    else
    {
        KLOG_DEBUG() << "Load Translator File failed : " << TRANSLATION_DIR;
    }

    KslServerGui w;
    w.resize(w.sizeHint());

    int screenNum = QApplication::desktop()->screenNumber(QCursor::pos());
    QRect screenGeometry = QApplication::desktop()->screenGeometry(screenNum);
    w.move(screenGeometry.x() + (screenGeometry.width() - w.width()) / 2,
           screenGeometry.y() + (screenGeometry.height() - w.height()) / 2);

    w.show();
    return a.exec();
}
