#ifndef SERVEREXPORT_H
#define SERVEREXPORT_H

#include <kiranwidgets-qt5/kiran-message-box.h>
#include <kiranwidgets-qt5/kiran-titlebar-window.h>
#include <QFileDialog>
#include <QMessageBox>
#include <QWidget>
#include "grpc/license-grpc-thread.h"
#include "kiran-log/qt5-log-i.h"
#include "server-info.h"

namespace Ui
{
class ServerExport;
}

class ServerExport : public QWidget
{
    Q_OBJECT

public:
    explicit ServerExport(QWidget *parent = NULL);
    ~ServerExport();

private:
    void initUi();

private slots:
    void on_pushButtonStartExport_clicked();

    void on_checkBoxExportAll_stateChanged(int arg1);

    void on_checkBoxExportUID_stateChanged(int arg1);

    void onExport(QList<Activation> useagesData, bool res);

private:
    void pullExportRes(bool res);

signals:
    void sigExportAll();
    void sigExportUID(QString UID);
    void sigClose();

private:
    Ui::ServerExport *ui;
    LicenseGrpc *m_serverGrpc;
    QString m_csvFileName;
};

#endif  // SERVEREXPORT_H
