#ifndef SERVERGUIDEWIDGET_H
#define SERVERGUIDEWIDGET_H

#include <QListWidgetItem>
#include <QWidget>
#include "server-list-item.h"

#define ITEM_POINT_MANAGER (QObject::tr("Points Manage"))
#define ITEM_ACTIVATIONS (QObject::tr("Activations"))

namespace Ui
{
class ServerGuide;
}

class ServerGuide : public QWidget
{
    Q_OBJECT

public:
    enum ItemClickedType
    {
        pointsManage,
        activationsInfo,
        baseInfo,
    };

    explicit ServerGuide(QWidget *parent = NULL);
    ~ServerGuide();

public slots:
    void setUseagePointNumber(int pointsNumber);
    void setCurrentItem(ServerGuide::ItemClickedType item);
private slots:
    void onItemClicked(QListWidgetItem *item);

private:
    ServerListItem *m_baseInfoItem;
    ServerListItem *m_ActivationsInfoItem;
    ServerListItem *m_pointsManageItem;
    Ui::ServerGuide *ui;
    ServerListItem *createActiveItem(const QString &text, const QString iconPath);
signals:
    void itemClicked(ServerGuide::ItemClickedType itemClicked);
};

#endif  // SERVERGUIDEWIDGET_H
