#include "server-info.h"
#include <iostream>
#include "ui_server-info.h"

ServerInfo::ServerInfo(QWidget *parent) : QWidget(parent),
                                          ui(new Ui::ServerInfo)
{
    ui->setupUi(this);

    m_serviceTable = new ServiceInfoTable(this);
    m_activationTable = new ActivationInfoTable(this);

    connect(this, SIGNAL(goToServicePage()), m_serviceTable, SLOT(onActiveCurrent()));
    connect(this, SIGNAL(goToActivationPage(QString)), m_activationTable, SLOT(onActiveCurrent(QString)));
    connect(m_serviceTable, SIGNAL(doubleClikedService(QString)), this, SLOT(onDoubleClickedService(QString)));
    initUI();
}

ServerInfo::~ServerInfo()
{
    delete ui;
}

void ServerInfo::onItemClicked(ServerGuide::ItemClickedType itemClicked)
{
    switch (itemClicked)
    {
    case ServerGuide::baseInfo:
        //切换首页逻辑
        //        ui->stackedWidget->setCurrentIndex(Page_Base);
        //        updatePageBase();
        //        break;
    case ServerGuide::activationsInfo:
        ui->stackedWidget->setCurrentIndex(Page_Activation);
        emit goToActivationPage("");
        break;
    case ServerGuide::pointsManage:
        ui->stackedWidget->setCurrentIndex(Page_Points);
        emit goToServicePage();
        break;
    }
}

void ServerInfo::initUI()
{
    ui->verticalLayout_activation_info->addWidget(m_activationTable);
    ui->verticalLayout_points_info->addWidget(m_serviceTable);
    style()->polish(this);
}

void ServerInfo::getServerBaseInfo(QStringList &serverBaseInfo)
{
    serverBaseInfo << "127.0.0.1"
                   << "7788"
                   << "77886665";
}

void ServerInfo::onDoubleClickedService(QString serviceUid)
{
    emit goToActivationPage(serviceUid);
    emit setGuideWidgetCurrent(ServerGuide::activationsInfo);
}
