#ifndef SERVERINFOWIDGET_H
#define SERVERINFOWIDGET_H

#include <qt5-log-i.h>
#include <QWidget>

#include "activation-info-table.h"
#include "server-guide.h"
#include "service-info-table.h"

namespace Ui
{
class ServerInfo;
}

class ServerInfo : public QWidget
{
    Q_OBJECT

public:
    enum Page
    {
        Page_Base,
        Page_Activation,
        Page_Points,
    };
    explicit ServerInfo(QWidget *parent = NULL);
    ~ServerInfo() override;

private:
    enum BaseInfo
    {
        BaseInfo_Ip,
        BaseInfo_Port,
        BaseInfo_Did
    };

    ServiceInfoTable *m_serviceTable;
    ActivationInfoTable *m_activationTable;

    Ui::ServerInfo *ui;

private:
    //初始化界面
    void initUI();
    void getServerBaseInfo(QStringList &serverBaseInfo);
    void updatePageBase();

public slots:
    void onItemClicked(ServerGuide::ItemClickedType itemClicked);

private slots:
    void onDoubleClickedService(QString serviceUid);

signals:
    void goToServicePage();
    void goToActivationPage(QString serviceUid);
    void setGuideWidgetCurrent(ServerGuide::ItemClickedType item);
};

#endif  // SERVERINFOWIDGET_H
