#include "server-list-item.h"
#include "ui_server-list-item.h"

ServerListItem::ServerListItem(QWidget *parent) : QWidget(parent),
                                                  ui(new Ui::ServerListItem)
{
    ui->setupUi(this);
    ui->arrow->setPixmap(QPixmap(":/ksl-right-arrow.svg"));
    ui->useages_numer->hide();
    showArrow(false);
}

ServerListItem::~ServerListItem()
{
    delete ui;
}

void ServerListItem::setItemText(const QString &text)
{
    ui->item_name->setText(text);
}
void ServerListItem::getItemText(QString &text)
{
    text = ui->item_name->text();
}

void ServerListItem::setUseagesNumber(int number)
{
    ui->useages_numer->setText(QString("%1").arg(number));
    ui->useages_numer->show();
}

void ServerListItem::showArrow(bool show)
{
    show ? ui->arrow->show() : ui->arrow->hide();
}

void ServerListItem::setItemSvg(const QString &path)
{
    QImage image = QImage(path);
    ui->svg->setPixmap(QPixmap::fromImage(image));
}
