#include "server-main-widget.h"
#include "kiran-message-box.h"

ServerMainWidget::ServerMainWidget(QWidget* parent) : QWidget(parent)
{
    initUI();
}

ServerMainWidget::~ServerMainWidget()
{
}

void ServerMainWidget::initUI()
{
    QHBoxLayout* mainLayout = new QHBoxLayout(this);
    mainLayout->setMargin(0);
    setLayout(mainLayout);

    QVBoxLayout* leftLayout = new QVBoxLayout(this);
    QHBoxLayout* rightLayout = new QHBoxLayout(this);
    mainLayout->addLayout(leftLayout);
    mainLayout->addLayout(rightLayout);
    QFrame* line = new QFrame(this);
    line->setObjectName(QStringLiteral("line"));
    line->setFrameShape(QFrame::VLine);
    line->setFrameShadow(QFrame::Plain);
    line->setLineWidth(1);
    line->setMidLineWidth(1);

    ServerGuide* guideWidget = new ServerGuide(this);
    ServerInfo* infoWidget = new ServerInfo(this);
    guideWidget->setMinimumWidth(230);
    guideWidget->setMaximumWidth(230);
    leftLayout->addWidget(guideWidget);
    rightLayout->addWidget(line);
    rightLayout->addWidget(infoWidget);

    connect(guideWidget,
            SIGNAL(itemClicked(ServerGuide::ItemClickedType)),
            infoWidget,
            SLOT(onItemClicked(ServerGuide::ItemClickedType)));
    connect(infoWidget,
            SIGNAL(setGuideWidgetCurrent(ServerGuide::ItemClickedType)),
            guideWidget,
            SLOT(setCurrentItem(ServerGuide::ItemClickedType)));
}
