#ifndef SERVICEINFOTABLE_H
#define SERVICEINFOTABLE_H

#include <QStandardItemModel>
#include <QTableView>
#include <QWidget>
#include "grpc/license-grpc-thread.h"

namespace Ui
{
class ServiceInfoTable;
}

class ServiceInfoTable : public QWidget
{
    Q_OBJECT

public:
    explicit ServiceInfoTable(QWidget *parent = NULL);
    ~ServiceInfoTable() override;

protected:
    virtual void resizeEvent(QResizeEvent *event) override;

private:
    void initUI();
    void updateTableHeader();
    void updateTable(QList<Point> pointDataList);
    void setpointItem(Point pointData);
    void initTableBase(QTableView *tableView, const QString &tableName);
    void initPointsTable();

    QString installType2Str(int installType);
    QString updateMode2Str(int updateMode);
    QString serviceMode2Str(int serviceMode);

public slots:
    virtual bool eventFilter(QObject *watched, QEvent *event) override;
    void onActiveCurrent();

private slots:
    void onGetRecords(QList<Point> pointsData, bool res);
    void on_pushButton_points_search_clicked();
    void on_pushButton_points_import_clicked();
    void onImportPointsRecords(QString error);
    void onItemDoubleClicked(const QModelIndex &index);

signals:
    void getPointsRecords();
    void importPointsRecords(QString path);
    void doubleClikedService(QString serviceUid);

private:
    LicenseGrpc *m_serverGrpc;
    QStandardItemModel *m_tableModel;
    QString m_searchKeywords;

    Ui::ServiceInfoTable *ui;
};

#endif  // SERVICEINFOTABLE_H
