#include "dialog.h"
#include <QHBoxLayout>
#include <QPushButton>
#include <QVBoxLayout>
#include "ui_dialog.h"

namespace VA
{
Dialog::Dialog(const QIcon &icon, QWidget *parent) : QDialog(parent),
                                                     ui(new Ui::Dialog)
{
    ui->setupUi(this);
    QPixmap pixmap = icon.pixmap(icon.actualSize(QSize(20, 20)));
    ui->icon->setPixmap(pixmap);
    setWindowFlags(Qt::Dialog | Qt::FramelessWindowHint);
    setAttribute(Qt::WA_TranslucentBackground, true);
}

Dialog::~Dialog()
{
    delete ui;
}

void Dialog::setDialogInfo(const QString &diaLogInfo)
{
    ui->label->setText(diaLogInfo);
}

void Dialog::on_accept_clicked()
{
    close();
}

void Dialog::on_cancel_clicked()
{
    close();
}
}  // namespace VA
